Management apiEndpointsProjects
Update project
Updates the project with the given ID.
PATCH
/v1/projects/{id}AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
id*string
Match
^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$Request Body
application/json
name?string
Length
1 <= length <= 256settings?
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.prisma.io/v1/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "string",
"type": "project",
"url": "http://example.com",
"name": "string",
"createdAt": "2019-08-24T14:15:22Z",
"defaultRegion": "string",
"workspace": {
"id": "string",
"url": "http://example.com",
"name": "string"
}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}